@echo off

echo 文件换名更新前，确保已停止游戏！
echo 请把本文件放到KSF专用补丁\Resource\Data\下再执行，只运行一次就OK，运行两次会提示再不到文件。
echo 请把本文件放到KSF专用补丁\Resource\Data\下再执行，只运行一次就OK，运行两次会提示再不到文件。
echo 请把本文件放到KSF专用补丁\Resource\Data\下再执行，只运行一次就OK，运行两次会提示再不到文件。
echo 注意；20220123  这个版本开始下面指定补丁名字必须修改后面对照表不然进游戏无法读取
echo .
echo 需要换的文件名如下:
echo .
echo  旧补丁KSF模式读取扩展名称                新补丁GEE模式读取扩展名称
echo \Resource\Data\Items.pak        换名为   \Resource\Data\Items1.pak      
echo \Resource\Data\StateItem.pak    换名为   \Resource\Data\StateItem1.pak  
echo \Resource\Data\DnItems.pak      换名为   \Resource\Data\DnItems1.pak    
echo \Resource\Data\StateEffect.pak  换名为   \Resource\Data\StateEffect10.pak
echo \Resource\Data\Hum.pak          换名为   \Resource\Data\Hum10.pak
echo \Resource\Data\Weapon.pak       换名为   \Resource\Data\Weapon10.pak
echo \Resource\Data\HumEffect.pak    换名为   \Resource\Data\HumEffect10.pak
echo \Resource\Data\mmap.pak         换名为   \Resource\Data\mmap10.pak
echo \Resource\Data\Magic.pak        换名为   \Resource\Data\Magic20.pak
echo \Resource\Data\Npc.pak          换名为   \Resource\Data\Npc10.pak
echo \Resource\Data\Npc2.pak         换名为   \Resource\Data\Npc11.pak
echo \Resource\Data\Npc3.pak         换名为   \Resource\Data\Npc12.pak
echo \Resource\Data\MagIcon.pak      换名为   \Resource\Data\MagIcon10.pak
echo \Resource\Data\Hair.pak         换名为   \Resource\Data\Hair10.pak 
echo \Resource\Data\Prguse.pak       换名为   \Resource\Data\Prguse1.pak
echo \Resource\Data\ChrSel.pak       换名为   \Resource\Data\ChrSel1.pak
echo \Resource\Data\deco.pak         换名为   \Resource\Data\deco1.pak
echo \Resource\Data\Mon1.pak - Mon50.pak 换名为   \Resource\Data\Mon51.pak - Mon210.pak 
echo  Mon.pak本次默认换Mon1.pak-Mon35.pak  如果有超过Mon35.pak的请手动换35以后的名字。
echo  ....
pause

ren Items.pak Items1.pak      
ren StateItem.pak StateItem1.pak  
ren DnItems.pak DnItems1.pak    
ren StateEffect.pak StateEffect10.pak
ren Hum.pak Hum10.pak
ren Weapon.pak Weapon10.pak
ren HumEffect.pak HumEffect10.pak
ren mmap.pak mmap10.pak
ren Magic.pak Magic20.pak
ren Npc.pak Npc10.pak
ren Npc2.pak Npc11.pak
ren Npc3.pak Npc12.pak
ren MagIcon.pak MagIcon10.pak
ren Hair.pak Hair10.pak 
ren Prguse.pak Prguse1.pak
ren ChrSel.pak ChrSel1.pak
ren deco.pak deco1.pak
ren Mon1.pak Mon51.pak
ren Mon2.pak Mon52.pak
ren Mon3.pak Mon53.pak
ren Mon4.pak Mon54.pak
ren Mon5.pak Mon55.pak
ren Mon6.pak Mon56.pak
ren Mon7.pak Mon57.pak
ren Mon8.pak Mon58.pak
ren Mon9.pak Mon59.pak
ren Mon10.pak Mon60.pak
ren Mon11.pak Mon61.pak
ren Mon12.pak Mon62.pak
ren Mon13.pak Mon63.pak
ren Mon14.pak Mon64.pak
ren Mon15.pak Mon65.pak
ren Mon16.pak Mon66.pak
ren Mon17.pak Mon67.pak
ren Mon18.pak Mon68.pak
ren Mon19.pak Mon69.pak
ren Mon20.pak Mon70.pak
ren Mon21.pak Mon71.pak
ren Mon22.pak Mon72.pak
ren Mon23.pak Mon73.pak
ren Mon24.pak Mon74.pak
ren Mon25.pak Mon75.pak
ren Mon26.pak Mon76.pak
ren Mon27.pak Mon77.pak
ren Mon28.pak Mon78.pak
ren Mon29.pak Mon79.pak
ren Mon30.pak Mon80.pak
ren Mon31.pak Mon81.pak
ren Mon32.pak Mon82.pak
ren Mon33.pak Mon83.pak
ren Mon34.pak Mon84.pak
ren Mon35.pak Mon85.pak

echo 如果第一次运行出现 找不到指定文件，说明你的Mon.pak个数少于默认个数，不影响本次换名
echo 如果第一次运行出现 找不到指定文件，说明你的Mon.pak个数少于默认个数，不影响本次换名
echo 如果第一次运行出现 找不到指定文件，说明你的Mon.pak个数少于默认个数，不影响本次换名

echo 文件名已更换完成，祝你游戏愉快！
pause
